<?php
/*
	Share bar custom style
	
	Table of contents: (you can use search)
	# 1. Variables
	# 2. Panel content color
	# 3. View
*/


# 1. Variables

$content_color = false;

# 2. Panel content color

$content_color = StockieSettings::get( 'side_panel_color', 'global' );
if ( $content_color ) {
	$content_color = 'color:' . $content_color . ';';
}

# 3. View

if ( $content_color ) {
	// --- start of CSS ---
	$_style_block  = '.share-bar{';
	$_style_block .= $content_color;
	$_style_block .= '}';
	// --- end of CSS ---
	StockieLayout::append_to_dynamic_css_buffer( $_style_block );
}